<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MaterialRequestionItem extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function material_request(){
        return $this->belongsTo('App\Models\MaterialRequestion','requestion_id');
    }

    public function item(){
        return $this->belongsTo('App\Models\Item','item_id');
    }

    public function approved_material(){
        return $this->belongsTo('App\Models\MaterialRequestionApprove','requestion_item_id');
    }
}
